/* ======================================================================

NAME: link2name.jsx

AUTHOR: Denis
DATE  : 07.08.2012

COMMENT: http://forum.rudtp.ru/showthread.php?t=52161

========================================================================= */

main ();

function main () {
	
	if (app.documents.length == 0)
		return;
	
	var link, bnd, rect, txt, doc = app.activeDocument;
	if (doc.selection.length == 0)
		return;
	
	for (var i = doc.selection.length - 1; i >= 0; i--) {
		link = doc.selection[i];
		if (link.constructor.name != "PlacedItem")
			continue;

		rect = doc.pathItems.rectangle(link.top, link.left, link.width, link.height);
		rect.filled = false;
		rect.stroked = true;
		rect.strokeWidth = 1;
		bnd = link.boundingBox;
		txt = doc.textFrames.areaText(doc.pathItems.rectangle(link.top-3, link.left+3, link.width-6, link.height-6));
		txt.contents = String(Math.round(bnd[2]-bnd[0])) + "x" + String(Math.round(bnd[1]-bnd[3])) + "\r\r" +
			link.file.fsName;
		txt.paragraphs[0].paragraphAttributes.justification = Justification.CENTER;
		txt.paragraphs[2].paragraphAttributes.justification = Justification.CENTER;

		link.remove();
	}
	
	return;
}